
Foreman - Bug #745

PXELinux <%= @host.name %>

03/15/2011 03:12 PM - Arnaud Sourioux

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I use the <%= @host.name %> var in my PXELinux file

the template is correctly generated if I acces it from : /unattended/template/$template_name/$hostgroup

but when I click on build I got this error :

"undefined method 'name' for nil:NilClass on generate PXELinux template"

Related issues:

Is duplicate of Foreman - Bug #1385: Allow @host.model in provisioning templates Closed 12/08/2011

History

#1 - 03/15/2011 04:00 PM - Ohad Levy

- Status changed from New to Feedback

that makes sense because you are rendering a non host specific template...

I'm not sure which hostname should it provide?

#2 - 03/15/2011 04:05 PM - Arnaud Sourioux

when i acces this way /unattended/template/$template_name/$hostgroup the <%= @host.name > is the hostgroup name

wich is logic beacuse it cannot be a particular host name

but it shouldn't give an error if the render was good

when i click on build (for a paricular host), the <= @host.name %> value should be the name of the host i'm trying to build

the point is not if the host name can be used but it shouldn't give an error

#3 - 05/04/2011 04:41 AM - Ohad Levy

- Status changed from Feedback to Need more information

- Assignee deleted (Ohad Levy)

maybe I'm missing something here, but if you are using hostgroup deployments, then there is no build option for that?!

#4 - 11/17/2011 06:10 PM - Joshua Hoblitt

I just hit a very similar, if not the same, issue with a PXElinux template.

It appears that the Intel S5520HC boards that I have don't work with the anaconda argument:

ksdevice=bootif

and I get prompted to select the interface to use for installation.  Manually editing the pxe cfg file to have the argument ksdevice=<mac> seems to

work and anaconda no longer prompts for interface selection.  As a work around, it would be desirable to use @host.mac in PXElinux templates. 

However, this seems not to work, with or without safe render set.  Eg

ksdevice=<% @host.mac %>

 causes this error:

Failed to generate PXELinux template: undefined method 'mac' for Safemode::Jail (NilClass)
#5 - 12/13/2011 01:49 PM - Florian Koch

Hi,

with safemode rendering disabled, this works for me.

Tested on the develop branch

(look at the wiki, there is a hint to strip the @host )

http://www.theforeman.org/projects/foreman/wiki/TemplateWriting

ksdevice=<%=mac %> 

#6 - 02/07/2012 11:11 AM - Peter Bauer

Confirmed here with Foreman 4.2, though this should have been fixed with Bug #653.

#7 - 02/09/2012 06:53 AM - Ohad Levy

Peter Bauer wrote:

Confirmed here with Foreman 4.2, though this should have been fixed with Bug #653.

 If you just use <%= mac %> does it work? my feeling this was already solved via #1385

#8 - 02/09/2012 07:17 AM - Peter Bauer

Ohad Levy wrote:

Peter Bauer wrote:

Confirmed here with Foreman 4.2, though this should have been fixed with Bug #653.

 If you just use <%= mac %> does it work? my feeling this was already solved via #1385

 Hi,

like stated by Florian Koch, the following works for me, but only if safemode rendering is disabled.

ksdevice=<%=mac %>

 With safemode rendering enabled, i get the following error:

Failed to generate PXELinux template: undefined method 'mac' for Safemode::Jail (NilClass)

#9 - 02/09/2012 07:22 AM - Ohad Levy

- Status changed from Need more information to Duplicate
